import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:veerne_kit/veerne_kit.dart';

void main() {
  testWidgets("General Widgets", (WidgetTester tester) async {
    final TextEditingController textEditingController =
        new TextEditingController();

    await tester.pumpWidget(MaterialApp(
      home: Scaffold(
        body: Column(
          children: [
            Input(
                controller: textEditingController,
                icon: Icons.ac_unit,
                placeholder: "Test")
          ],
        ),
      ),
    ));

    await tester.pumpAndSettle();
  });
}
